<?php

instant_vsl_use([
    'Core/Vue',
]);

class InstantVSL_AdminMenuController extends InstantVSL_Vue
{
    protected $dev_path = 'http://localhost:8080';

    protected $update_db = true;

    // protected $brand_check = true;

    protected $menu_title = 'Instant VSL';

    protected $icon_url = 'dashicons-money';

    protected $position = 25;

    protected $vue_primary_color = '#4a86e8';

    protected $use_quill = true;

    protected $app_addons = ['prem', 'watchlist', 'apisearch', 'dev', 'btnshow', 'agency'];

    public function preConstruct()
    {
        // set custom branding
        if (!empty(self::$options) && !empty(self::$options['brand_active'])) {

            $this->branding_active = true;

            if (!empty(self::$options['brand_slug'])) {
                $this->custom_menu_slug = self::$options['brand_slug'];
            }

            if (!empty(self::$options['brand_menu'])) {
                $this->menu_title = self::$options['brand_menu'];
            } elseif (!empty(self::$options['brand_title'])) {
                $this->menu_title = self::$options['brand_title'];
            }

            if (!empty(self::$options['brand_menu_icon'])) {
                $this->icon_url = 'dashicons-' . self::$options['brand_menu_icon'];
            }

            if (!empty(self::$options['brand_plugins'])) {
                $this->bPluginsPage();
            }

        }
    }

    private function bPluginsPage()
    {
        add_filter('plugin_row_meta', function ($links, $file) {

            if (strpos($file, 'instant-vsl.php') !== false) {

                $info = instant_vsl_info();
                $text = 'Version ' . $info['version'];

                $options = self::$options;

                if (!empty($options['brand_business'])) {

                    $business = $options['brand_business'];
                    if (!empty($options['brand_website'])) {
                        $business = "<a href=\"{$options['brand_website']}\" target=\"_blank\">{$business}</a>";
                    }
                    $text .= ' | Licensed by ' . $business;
                }

                if (self::$options['brand_user_id'] == get_current_user_ID()) {

                    if (isset($business)) {
                        array_push($links, ' Licensed by ' . $business);
                    }

                } else {
                    $links = ['text' => $text];
                }
            }

            return $links;

        }, 10, 2);

        add_action('admin_head', function () {
            ?>

			<style>

				/* Plugin Name */
				tr[data-slug="instant-vsl"] td.plugin-title strong {
					display: none;
				}
				tr[data-slug="instant-vsl"] td.plugin-title::before {
					content: "<?php echo self::$options['brand_title']; ?>";
					font-weight: 600;
					display: block;
					margin-bottom: .2em;
					font-size: 14px;
				}
			<?php if (self::$options['brand_user_id'] != get_current_user_ID()) {?>
				tr[data-slug="instant-vsl"] td.plugin-title .deactivate {
					display: none;
				}
				<?php }?>

				/* Description */
				tr[data-slug="instant-vsl"] .plugin-description p {
					display: none;
				}
				tr[data-slug="instant-vsl"] .plugin-description::before {
					 content: "<?php if (!empty(self::$options['brand_plugin_des'])) {
                echo self::$options['brand_plugin_des'];
            }?>";
					 font-size: 13px;
		     	line-height: 1.5em;
		 			padding: 0;
					color: #32373c;
					word-wrap: break-word;
					display: block;
					margin: 0 0 8px;

				}
			</style>
			<?php
});
    }
}
