<?php

instant_vsl_use([
	'Controllers/Api/ApiController',
	'Models/Block',
	'Models/Split',
	'Models/Stat'
]);


class InstantVSL_ApiBlockSplitResultsController extends InstantVSL_ApiController
{

	public function destroy($request)
	{
		$i = new InstantVSL_Stat;
    $i->wpDelete(['block_id' => $request->id]);
		wp_send_json_success(); exit;
	}

	public function index($request)
	{
		$block = InstantVSL_Block::find($request->id);
		$splits = InstantVSL_Split::where('block_id', $request->id)->get(['id']);

		if(empty($splits)) {
			wp_send_json_error('no_splits'); exit;
		}

		$data = [];

		$total_visits = 0;
		$total_conversions = 0;
		$total_units = 1;

		// wp_send_json( $visits ); exit;
		// primary
		$visits = InstantVSL_Stat::where('block_id', $request->id)
							->andWhereNull('split_id')
							->count();

		$conversions = InstantVSL_Stat::where('block_id', $request->id)->andWhereNull('split_id')->andWhere('is_conversion', 1)->count();

		array_push($data, $this->getResult($request->id, $visits, $conversions, true));

		$total_visits = $total_visits + $visits;
		$total_conversions = $total_conversions + $conversions;

		// splits

		foreach($splits as $i) {
			$visits = InstantVSL_Stat::where('split_id', $i->id)->count();
			$conversions = InstantVSL_Stat::where('split_id', $i->id)->andWhere('is_conversion', 1)->count();
			array_push($data, $this->getResult($i->id, $visits, $conversions));

			$total_visits = $total_visits + $visits;
			$total_conversions = $total_conversions + $conversions;
			$total_units++;
		}

		$winner_index = -1;
		$winner_id = '';
		$count = 0;
		$conversion = 0;
		$winner_primary = false;
		$winner_conversion = 0;

		foreach($data as $i) {
			if($i['conversion'] == $conversion) {
				// match
				$winner_index = -1;
				$winner_id = '';
				$winner_primary = false;
			}
			elseif($i['conversion'] > $conversion) {
				$conversion = $i['conversion'];
				$winner_index = $count;
				$winner_id = $i['id'];
				$winner_primary = !empty($i['is_primary']);
			}
			if($i['conversion'] > $winner_conversion) {
				$winner_conversion = $i['conversion'];
			}
			$count++;
		}

		wp_send_json(compact('total_visits', 'total_conversions', 'total_units', 'winner_index', 'winner_id', 'winner_primary', 'winner_conversion', 'data'));

	}

	private function getResult($id, $visits = 0, $conversions = 0, $isPrimary=false) {
		if($visits > 0 && $conversions > 0) {
			$conversion = round(($conversions / $visits) * 100, 2);
		} else {
			$conversion = 0;
		}
		return ['id' => $id, 'visits' => $visits, 'conversions' => $conversions, 'conversion' => $conversion, 'is_primary' => $isPrimary];
	}
}
