<?php

instant_vsl_use([
	'Controllers/Api/ApiController'
]);


class InstantVSL_ApiHostController extends InstantVSL_ApiController 
{

	public function index($request) {

		if(!$request->validate(['client_access_key', 'plugin_id'])) {
			wp_send_json_error('missing_fields'); exit;
		}

		$client_access_key = $this->getClientAccessKey(); 

		if($request->action == 'get_info') {
			$info = instant_vsl_info();
			wp_send_json(['info' => $info]); exit;
		}
		
		if($request->action == 'get_version') {
			$version = instant_vsl_info('', 'version');
			wp_send_json(['version' => $version]); exit;
		}

		if(empty($client_access_key) || $client_access_key != $request->client_access_key) {
			wp_send_json_error('invalid_access_key'); exit;
		}
		
		// more secure (edit)

		if($request->action == 'deactivate_plugin') {
			require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
			$file = self::$plugin_app_file;
			deactivate_plugins($file);
			wp_send_json(['deactivated' => self::$plugin_app_file]); exit;
		}
		wp_send_json([$client_access_key, $request]); exit;
	}
	
	private function getClientAccessKey()
	{
		$key = $this->getOption('client_access_key');
		if(!empty($key)) {
			$part = explode('|', $key);
			return array_pop($part);
		}
		return $key;
	}
}