<?php

instant_vsl_use([
'Controllers/Api/ApiController',
'DataTables/PageDataTable',
'Models/Page',
'Models/Download'
]);

class InstantVSL_ApiPagesBuilderController extends InstantVSL_ApiController
{
  public function index($request)
  {
    // get page and all components
    $page = InstantVSL_Page::find($request->id);

    // blocks
    $page->blocks = $this->getPageBlocks($page);


    wp_send_json($page);
  }

  public function update($request)
  {

    // save page
    $page = new InstantVSL_PageDataTable;

    $page->update($request);

    wp_send_json_success();

    // save blocks

  }

  private function getPageBlocks($page)
  {

    $blocks = $page->blocks()->get();

    if(empty($blocks)) {
      return $blocks;
    }

    $count = 0;
    foreach($blocks as $block) {

      if($block->block_type == 'video') {
        $blocks[$count]->video = InstantVSL_Video::find($block->type_id);
      }
      if($block->block_type == 'bonus') {
        $blocks[$count]->bonus = InstantVSL_Bonus::find($block->type_id);
      }

      $count++;
    }

    return $blocks;
  }
}
