<?php

instant_vsl_use([
  'Controllers/Api/ApiController',
  'Core/Time',
  'Models/Stat'
]);


class InstantVSL_ApiStatsController extends InstantVSL_ApiController
{

    public function reset($request)
    {
      wp_send_json_success(); exit;
      $args = [];

      $stats = new InstantVSL_Stat;

      $stats->wpDelete($args);

      wp_send_json_success();
    }

  // loads, plays
  public function engagement($request)
  {
    $data = [];

    array_push($data, [
      'label' => 'Video Plays',
      'value' => InstantVSL_Stat::where('played', 1)->count()
    ]);

    array_push($data, [
      'label' => 'Video Loads',
      'value' => InstantVSL_Stat::where('loaded', 1)->count()
    ]);

    $title = 'Engagement';

    if($data[1]['value'] < 1 || $data[0]['value'] < 1) {
      $conversion = 0;
    }
    else {
      $conversion = ($data[0]['value'] / $data[1]['value']) * 100;
      if($conversion > 100) { $conversion = 100; }
    }

    wp_send_json(compact('data', 'title', 'conversion'));
  }

  public function conversion($request)
  {
    $data = [];

    array_push($data, [
      'label' => 'Video Conversions',
      'value' => InstantVSL_Stat::where('converted', 1)->count()
    ]);

    array_push($data, [
      'label' => 'Video Plays',
      'value' => InstantVSL_Stat::where('played', 1)->count()
    ]);

    $title = 'Conversion';

    if($data[1]['value'] < 1 || $data[0]['value'] < 1) {
      $conversion = 0;
    }
    else {
      $conversion = ($data[0]['value'] / $data[1]['value']) * 100;
      if($conversion > 100) { $conversion = 100; }
    }

    wp_send_json(compact('data', 'title', 'conversion'));

  }



  public function tag($request)
  {
    echo 'tag clicks';
  }

  public function index($request)
  {

    $t = new InstantVSL_Time();

    $days = $t->getPastDays(7);

    $count = 0;

    // $request->id = 2; // link id


    foreach($days as $i) {

      $days[$count]['clicks'] = (int) InstantVSL_Click::where('link_id', $request->id)
                                      ->andWhere('created_ts', '>', $i['start_ts'])
                                      ->andWhere('created_ts', '<', $i['end_ts'])
                                      ->count();

      $days[$count]['clicks_unique'] = (int) InstantVSL_Click::where('link_id', $request->id)
                                      ->andWhere('created_ts', '>', $i['start_ts'])
                                      ->andWhere('created_ts', '<', $i['end_ts'])
                                      ->andWhere('is_unique', 1)
                                      ->count();
      $count++;

    }

    wp_send_json($days);

  }

}
