<?php

instant_vsl_use([
	'Core/Database',
	'Helpers/Options'
]);

class InstantVSL_DatabaseController extends InstantVSL
{
	use InstantVSL_Options;

  protected $tables = [
    'pages',
	  'blocks',
		'splits',
		'visits',
		'clicks',
		'stats',
		['package' => 'Auth']
  ];

	// checks if update required, if so, will update database
	public function checkUpdate() {

		$version = $this->getOption('app_dbv');
		if(empty($version) || $version < self::$plugin_app_dbv) {
			$this->update();
			$this->updateOption('app_dbv', self::$plugin_app_dbv);
		}
	}

  public function update()
  {
    InstantVSL_Database::update($this->tables);
  }

	public function destroy($removeAuth=false)
	{
		$tables = $this->tables;
		if(!$removeAuth) {
			array_pop($tables);
		}
		InstantVSL_Database::destroy($tables);
	}

	public function reset($removeAuth=false)
	{
		$this->destroy($removeAuth);
		InstantVSL_Database::update($this->tables);
	}

}
