<?php

instant_vsl_use([
  'Controllers/Controller',
  'Models/Page',
  'Models/Click',
  'Models/Stat',
]);


class InstantVSL_PageClickController extends InstantVSL_Controller
{
  public function index($request)
  {

    $visit = InstantVSL_Visit::where('identifier', $request->visit)->first();

    if(!empty($visit)) {

      $page = InstantVSL_Page::find($visit->page_id, ['id', 'checkout_link', 'title']);

    }
    // no more visitor, cleared stats
    else {
      $page = InstantVSL_Page::where('slug', $request->slug)->first(['id', 'checkout_link', 'title']);
    }

    if(empty($page)) {
      return;
    }

    if(empty($page->checkout_link)) {
      $page->message = 'Please add your affiliate link to your affiliate page.';
      $this->view('page.message', compact('page')); exit;
    }

    // save visit if found
    if(!empty($visit)) {

        $stat = InstantVSL_Stat::where('visit_id', $visit->id)->first(['id']);
        if(!empty($stat)) {
          $stat->is_click = 1;
          $stat->click_ts = current_time('U');
          $stat->save();
        }

    }

    $page->addClick($request->visit);

    $visit = InstantVSL_Visit::where('identifier', $request->visit)->first();

    if(!empty($visit)) {
      $stat = InstantVSL_Stat::where('visit_id', $visit->id)->first(['id']);
      if(!empty($stat)) {
        $stat->is_click = 1;
        $stat->click_ts = current_time('U');
        $stat->save();
      }
    }

    wp_redirect($page->checkout_link);
    exit;
  }
}
