<?php

instant_vsl_use([
  'Controllers/Controller',
  'Models/Page',
  'Models/Block',
  'Models/Split',
]);


class InstantVSL_PageDownloadController extends InstantVSL_Controller
{
  public function index($request)
  {

    $block = InstantVSL_Block::where('identifier', $request->identifier)->first(['source', 'page_id']);

    if(empty($block->source)) {
      return;
    }

    $page = InstantVSL_Page::find($block->page_id, ['id', 'checkout_link', 'title', 'is_active']);

    if(empty($page)) {
      return;
    }

    // echo $request->visit; exit;
    if($request->visit === 'preview') {

      if(get_current_user_id()) {
        // valid logged in user
        wp_redirect($block->source); exit;
      }

    }
    else {


      $visit = InstantVSL_Visit::where('identifier', $request->visit)->first();
  
      // if expire stats
      if(empty($visit) || current_time('U') > $visit->created_ts + 86400) {
        return;
      }
  
      wp_redirect($block->source); exit;

    }

  }
}
