<?php

instant_vsl_use([
	'Controllers/Controller',
	'Helpers/StrGen',
	'Helpers/Postman',
	'Helpers/Client',
	'Helpers/UrlAppend',
	'Helpers/RedirectTo'
]);

class InstantVSL_Activation extends InstantVSL_Controller
{

	use InstantVSL_StrGen,
		InstantVSL_Postman,
		InstantVSL_Client,
		InstantVSL_UrlAppend,
		InstantVSL_RedirectTo;

	protected $client_access_key_length = 128;

	protected $notify_host = true;

	public function __construct()
	{
		if(!empty($this->app_sponsor)) {

			$this->activateSponsor();
			// $this->app_sponsor['created'] = current_time('U');
			// $this->updateOption('app_sponsor', $this->app_sponsor);
		}

		if(!empty($this->notify_host)) {

			$client_access_key = $this->StrGen($this->client_access_key_length);

			$body = [
				'site_name' => get_bloginfo('name'),
				'site_url' => get_site_url(),
				'app_id' => self::$plugin_app_id,
				'client_access_key' => $client_access_key
			];

			// get version
			$body['version'] = instant_vsl_info(null, 'version');
			$body['plugin_url'] = plugin_dir_url(self::$plugin_app_file);

			$url = self::$plugin_app_host.'/api/client/activation';

			$this->notify($url, $body);

		}

		$this->activate();
	}

	public function activate()
	{
	}



}
