<?php

instant_vsl_use([
	'Core/Migration',
	'Helpers/Options'
]);

class InstantVSL_Database extends InstantVSL
{
	use InstantVSL_Options;

	public static function destroy($tables=[])
	{
		// echo 'destroy';

		foreach($tables as $file => $table) {

			if(is_array($table)) {

				if(!empty($table['package'])) {
					if(!empty($table['file'])) {
						$file = $table['file'];
					} else {
						// default package db file name
						$file = 'database';
					}
					$table = $table['package'];
					$file = 'Packages/'.$table.'/'.$file;
				}
			}
			else {

				if(is_numeric($file)) {
					$file = strtolower(str_replace('_', '-', $table));
				}

				$file = '../database/tables/'.$file;
			}

			instant_vsl_use($file);

			self::removeTable($table);
			// InstantVSL_Migration::removeTables($table);

		}

	}

	public static function update($tables=[], $force=false)
	{

			// support key and no key
      foreach($tables as $file => $table) {

				if(is_array($table)) {

					if(!empty($table['package'])) {
						if(!empty($table['file'])) {
							$file = $table['file'];
						} else {
							// default package db file name
							$file = 'database';
						}
						$table = $table['package'];
						$file = 'Packages/'.$table.'/'.$file;
					}
				}
				else {

					if(is_numeric($file)) {
						$file = strtolower(str_replace('_', '-', $table));
					}

					$file = '../database/tables/'.$file;
				}


				instant_vsl_use($file);

				self::installTable($table);

			}

				//echo $table; exit;

				//InstantVSL_Migration::installTables($table);

	}

	private static function installTable($table) {
		if(strstr($table,'-') == true) {
			$part = explode('-',$table);

			$table = '';
			foreach($part as $i) {
				$table .= ucfirst($i);
			}
		}
		$table = ucfirst($table);
	
		InstantVSL_Migration::installTables($table);
	}

	private static function removeTable($table) {
		$table = ucfirst($table);
		InstantVSL_Migration::removeTables($table);
	}



}
