<?php

trait InstantVSL_Page_AddConversions 
{
    public function addConversions($clientIp = null) {
        
        if(empty($this->conversions)) {
            return;
        }

        if(empty($clientIp)) {
            $clientIp = instant_vsl_get_client_ip();
        }
       

        $ids = explode(',',$this->conversions);
        
        foreach($ids as $id) {
            $this->addConversion($id, $clientIp);
        }

        
    }

    
    public function addConversion($pageId=null, $clientIp=null) {

        if(empty($pageId)) {
            $pageId = $this->id;
            // echo 'set self'.$pageId; exit;
        }

        if(empty($clientIp)) {
            $clientIp = instant_vsl_get_client_ip();
        }
        
        // first
    $firstVisit = InstantVSL_Visit::where('page_id', $pageId)
    ->andWhere('client_ip', $clientIp)
    ->orderBy('id', 'asc')
    ->first(['id', 'is_conversion']);

    // stats cleared during conversion process
    if(empty($firstVisit)) {

        $page = InstantVSL_Page::find($pageId, ['id', 'is_active']);

  
        if(!empty($page)) {
          $visit = new InstantVSL_Visit;
          $visit->page_id = $pageId;
          $visit->client_ip = $clientIp;
          $visit->is_conversion = 1;
          $visit->conversion_ts = current_time('U');
          $visit->created_ts = $visit->conversion_ts;
          $visit->save();
        }

        return;
    }


    // first unique conversion
    if(empty($firstVisit->is_conversion)) {
        $firstVisit->is_conversion = 1;
        $firstVisit->save();
    }

    // most recent
    $visit = InstantVSL_Visit::where('page_id', $pageId)
    ->andWhere('client_ip', $clientIp)->orderBy('id', 'desc')
    ->first(['id', 'conversion_ts']);

    if(empty($visit->conversion_ts)) {
        $visit->conversion_ts = current_time('U');
        $visit->save();
    }


    // block split conversion tracking
    $stats = InstantVSL_Stat::where('visit_id', $visit->id)
							->andWhereNull('is_conversion')
                            ->get();
    

    
    if(!empty($stats)) { 
      foreach($stats as $stat) {
        // echo $stat->id;
        $stat = InstantVSL_Stat::find($stat->id, ['id']);
        $stat->is_click = 1;
        $stat->click_ts = current_time('U');
        $stat->is_conversion = 1;
        $stat->conversion_ts = current_time('U');
        $stat->save();
      }
    }

    }
}