<?php

// options
InstantVSL::setOptions(get_option(InstantVSL::$plugin_app_id . '_settings'));

// Load helpers
require plugin_dir_path(__FILE__) . '../app/helpers.php';

InstantVSL::setInfo(instant_vsl_info());

// Cores
instant_vsl_use([
    'Core/Model',
    'Core/Router',
    'Core/Request',
]);

instant_vsl_ini(['Events/Logout', 'Events/PluginsPage', 'Events/PluginEditorPage']);

// shortcodes
// instant_vsl_shortcode([
//     'Video'
// ]);

// metabox
// instant_vsl_metabox([
//     'Sample'
// ]);

// posttypes
// instant_vsl_post_type([
//     'Sample'
// ]);

instant_vsl_que_actions([
    'admin_menu',
    'wp',
]);

// activation hook
register_activation_hook(InstantVSL::$plugin_app_file, function () {
    instant_vsl_ini('Controllers/Activation/ActivationController');
});
register_deactivation_hook(InstantVSL::$plugin_app_file, function () {
    instant_vsl_ini('Controllers/Activation/DeactivationController');
});

// router
add_action('parse_request', function () {
    require (plugin_dir_path(__FILE__) . '../routes/web.php');
    require (plugin_dir_path(__FILE__) . '../routes/api.php');
});

// update v2
if (is_admin()) {
    $update_url = InstantVSL::$plugin_app_host . '/api/client/app/' . InstantVSL::$plugin_app_cl . '/update/update.json';
    $app_file   = InstantVSL::$plugin_app_file;
    $app_id     = InstantVSL::$plugin_app_id;
    instant_vsl_use('../vendor/update-checker/load-v4p8');
    $myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
        $update_url,
        $app_file,
        $app_id
    );

}


add_action('wp', function() {
    if(is_front_page()) {
        instant_vsl_ini('Controllers/HomeController');
    }
});