<?php


class InstantVSL_DB_Splits extends InstantVSL_Migration
{
	protected $table = 'splits';

	protected $use_group_id = false;

	public function up()
	{
		$this->increments('id')

		->string('identifier', 25)->unique() // becomes plugin id

		->integer('user_id', 13)->unsigned()->nullable() // created by
		->integer('page_id', 13)->unsigned()->nullable()
		->integer('block_id', 13)->unsigned()->nullable()
		->string('block_type', 255)->nullable() // col_3. col_2, col_1

		->text('content')->nullable()


		->boolean('banner_bottom')->nullable()
		->boolean('button_time')->nullable()
		->boolean('button_time_active')->nullable()
		->boolean('disable_fullscreen')->nullable()
		->boolean('disable_mask')->nullable()

		// VIDEO
		->boolean('is_video')->nullable()
		->string('video', 255)->nullable()
		->integer('start', 13)->nullable()
		->integer('end', 13)->nullable()
		->integer('autoplay', 2)->nullable() // 0: no, 1: yes, 2: muted
		->integer('hide_controls', 2)->nullable() // (0: autohide, 1: always, 2: never )
		->string('poster', 255)->nullable()
		->boolean('poster_pause')->nullable()
		->boolean('poster_end')->nullable()
		->integer('duration', 13)->nullable()
		->boolean('trim_active')->nullable()
		->string('product_placement', 100)->nullable()
		->boolean('muted')->nullable()
		->string('product_img', 255)->nullable()
		->boolean('auto_redirect')->nullable()


		// Additional
		->string('url', 255)->nullable()
		->string('target', 25)->nullable()
		->string('color', 25)->nullable()
		->boolean('is_dark')->nullable()
		->string('style', 255)->nullable() // ??
		->string('item_style', 255)->nullable()
		->string('item_link', 255)->nullable()
		->string('size', 25)->nullable()

		// styling
		->integer('margin', 13)->nullable()
		->integer('padding', 13)->nullable()
		->boolean('use_margin')->nullable()
		->boolean('use_padding')->nullable()
		->integer('margin_x', 13)->nullable()
		->integer('margin_y', 13)->nullable()
		->integer('padding_x', 13)->nullable()
		->integer('padding_y', 13)->nullable()
		->integer('shadow', 13)->nullable()
		->integer('item_shadow', 13)->nullable()

		->string('text_color', 25)->nullable()
		->string('bg_color', 25)->nullable()
		->string('bg_image', 255)->nullable()


		->integer('item_height', 13)->nullable()
		->integer('item_width', 13)->nullable()
		->boolean('item_contain')->nullable()
		->decimal('aspect_ratio', 6, 3)->nullable()
		->boolean('custom_size')->nullable()

		->string('source', 255)->nullable()

		->integer('flex_xs', 1)->nullable()
		->integer('flex_sm', 1)->nullable()
		->integer('flex_md', 1)->nullable()
		->integer('flex_lg', 1)->nullable()
		->string('align', 25)->nullable()

		->boolean('item_start')->nullable()
		->boolean('item_end')->nullable()
		->boolean('hide_ended')->nullable()
		->boolean('expanded')->nullable()
		->boolean('show_more')->nullable()
		->boolean('item_block')->nullable()
		->string('item_timezone', 25)->nullable()
		->string('item_startdate', 25)->nullable()
		->string('item_starttime', 25)->nullable()
		->string('item_startu', 13)->nullable()
		->string('item_enddate', 25)->nullable()
		->string('item_endtime', 25)->nullable()
		->string('item_endu', 13)->nullable()
		->string('border_radius', 25)->nullable()
		->string('item_borderradius', 25)->nullable()
		->string('title_color', 25)->nullable()
		->string('color2', 25)->nullable()
		->string('left_icon', 100)->nullable()
		->string('left_iconcolor', 100)->nullable()
		->string('right_icon', 100)->nullable()
		->string('right_iconcolor', 100)->nullable()
		->integer('spacing_x', 25)->nullable()
		->integer('spacing_y', 25)->nullable()

		->boolean('cards')->nullable()
		->boolean('paypal')->nullable()
		->integer('showtime')->nullable()
		->boolean('use_showtime')->nullable()
		->integer('vshowtime')->nullable()
		->boolean('use_vshowtime')->nullable()

		->text('checkout_link')->nullable()
		->text('nothanks_link')->nullable()

		->boolean('vsl')->nullable()
		->boolean('vsl_btn')->nullable()
		->boolean('vsl_useposter')->nullable()
		->string('vsl_poster', 255)->nullable()
		->boolean('vsl_progress')->nullable()
		->boolean('preload')->nullable()
		->boolean('disable_admin')->nullable()
		->boolean('use_code')->nullable()
		->boolean('disabled')->nullable()
		
		->timestamps()

		->create();

	}

	// public function addColumns()
	// {
	// 	return [
			
	// 	];
	// }

	public function down()
	{
		$this->dropIfExists();
	}
}
