<?php

$options = InstantVSL::$options;

$public_dir = 'live';

if (empty($options)) {
    $options = [];
}

if (!empty($page->no_index)) {
    echo '<meta name="robots" content="noindex"><meta name="googlebot" content="noindex">';
}

// open head
echo '<!DOCTYPE html><html lang="en"><head>';

// meta
echo '<meta charset="utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge" /><meta name="viewport" content="width=device-width,initial-scale=1.0" />';

// title
echo '<title>';
echo !empty($page->title) ? $page->title : 'something else...';
echo '</title>';

if (!empty($page->tracking_fbpixel)) {
    InstantVSL_Tracking::fbPixel($page->tracking_fbpixel);
}

// google analytics
if (!empty($page->tracking_analytics)) {
    InstantVSL_Tracking::googleAnalytics($page->tracking_analytics);
}

// custom header tracking
if (!empty($options['tracking_header'])) {
    echo instant_vsl_parse_code($options['tracking_header']);
}
if (!empty($page->tracking_header)) {
    echo instant_vsl_parse_code($page->tracking_header);
}

// favicon
if (!empty($page->favicon)) {
    echo "<link rel=\"icon\" href=\"{$page->favicon}\" />";
}

// open graph
require plugin_dir_path(__FILE__) . 'og.php';

$css = '';

$css .= '.ql-font-monospace {
	font-family: Monospace !important;
}
.ql-font-serif {
	font-family: Serif !important;
}
.ql-font-monospace {
	font-family: Monospace !important;
}';

// background color
if (!empty($page->bg_color)) {
    $css .= 'body, html { background-color: ' . $page->bg_color . '} ';
}
if (!empty($page->bg_imagefx)) {
    $css .= '
#ml_bg_image {
  filter:brightness(50%) blur(4px) grayscale(25%);
  -webkit-filter: brightness(50%) blur(4px) grayscale(25%);
}';
}

if (!empty($css)) {
    echo "<style>{$css}</style>";
}

if (!empty($cdn)) {
    if (!empty($cdn['css'])) {
        foreach ($cdn['css'] as $i) {
            echo "<link rel=\"stylesheet\" href=\"{$i}\" />";
        }
    }
    if (!empty($cdn['js'])) {
        foreach ($cdn['js'] as $i) {
            echo "<script src=\"{$i}\"></script>";
        }
    }
}

// public files
if (empty(self::$debug) || empty($this->dev_path)) {
    instant_vsl_embed_css(['/' . $public_dir . '/css/chunk-vendors', '/' . $public_dir . '/css/app']);
}

echo '</head><body>';

// body content
echo '<div id="app"';
foreach ($data as $key => $value) {
    echo " data-{$key}=\"{$value}\"";
    echo "\n";
}
echo '></div>';

// public files
if (empty(self::$debug) || empty($this->dev_path)) {
    instant_vsl_embed_js(['/' . $public_dir . '/js/chunk-vendors', '/' . $public_dir . '/js/app']);
} else {
    instant_vsl_embed_js($this->dev_path . '/app.js');
}

// custom header tracking
if (!empty($options['tracking_footer'])) {
    echo instant_vsl_parse_code($options['tracking_footer']);
}

// custom footer tracking
if (!empty($page->tracking_footer)) {
    echo instant_vsl_parse_code($page->tracking_footer);
}

if (!empty($page->checkout_preload)) {
    require plugin_dir_path(__FILE__) . 'preloads.php';
}

// close body
echo '</body></html>';
